Subject: Re: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Boruch Baum <[email-masked]>
Date: Wed, 28 Apr 2021 11:21:36 -0400

On 2021-04-28 18:13, Eli Zaretskii wrote:
> > Date: Wed, 28 Apr 2021 11:01:44 -0400
> > From: Boruch Baum <[email-masked]>
> > Cc: [email-masked], [email-masked]
> >
> > 2.1.1) Try the following in a vanilla dired buffer: Navigate POINT to a file,
> >        let's say 'bar', and press '&' for the async command. Then type in some
> >        garbage command, let's say 'foo', and <RET>. The response I get is a
> >        message in the mini-buffer: "foo bar&wait: finished." (BTW, I haven't
> >        figured out where that message is being generated; anyone's help would be
> >        appreciated; I would like to see if it can report errors).
>
> I think the message comes from process.c:status_notify, which is
> called when the process is deleted after it exits.

Thanks. It was frustrating not being able to find it.

1) Is there a way to make it user-extensible?

2) Can it report some indication of STDERR or shell variable '$?' ?

3) The '&wait' shouldn't be reported. It's just confusing cruft to a user.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0